import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postSsotDataTransforms_ResourceRequestConfig } from '../resources/postSsotDataTransforms';
import { DataTransformRepresentation as types_DataTransformRepresentation_DataTransformRepresentation } from '../types/DataTransformRepresentation';
export declare const adapterName = "createDataTransform";
export declare const createDataTransform_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const createDataTransform_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface CreateDataTransformConfig {
    filterGroup?: string;
    capabilities?: {
        [key: string]: boolean;
    };
    creationType: string;
    currencyIsoCode?: string;
    dataSpaceName?: string;
    definition: {
        [key: string]: unknown;
    };
    description?: string;
    label?: string;
    name?: string;
    primarySource?: string;
    tags?: {
        [key: string]: string;
    };
    type: string;
}
export declare const createResourceParams: (config: CreateDataTransformConfig) => resources_postSsotDataTransforms_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<CreateDataTransformConfig>): adapter$45$utils_Untrusted<CreateDataTransformConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): CreateDataTransformConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: CreateDataTransformConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>>;
export declare const createDataTransformAdapterFactory: $64$luvio_engine_AdapterFactory<CreateDataTransformConfig, types_DataTransformRepresentation_DataTransformRepresentation>;
