import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig, UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration } from './adapter-utils';
import { ResourceRequestConfig as resources_getSsotDataTransformsByDataTransformNameOrId_ResourceRequestConfig } from '../resources/getSsotDataTransformsByDataTransformNameOrId';
import { DataTransformRepresentation as types_DataTransformRepresentation_DataTransformRepresentation } from '../types/DataTransformRepresentation';
import { KeyParams as types_CdpAssetBaseRepresentation_KeyParams } from '../types/CdpAssetBaseRepresentation';
export declare const adapterName = "getDataTransform";
export declare const getDataTransform_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getDataTransform_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetDataTransformConfig {
    dataTransformNameOrId: string;
    filterGroup?: string;
}
export declare const createResourceParams: (config: GetDataTransformConfig) => resources_getSsotDataTransformsByDataTransformNameOrId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetDataTransformConfig>): adapter$45$utils_Untrusted<GetDataTransformConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetDataTransformConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig): $64$luvio_engine_Snapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig, resourceParams: resources_getSsotDataTransformsByDataTransformNameOrId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_DataTransformRepresentation_DataTransformRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig, resourceParams: resources_getSsotDataTransformsByDataTransformNameOrId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDataTransformConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetDataTransformConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_DataTransformRepresentation_DataTransformRepresentation>): $64$luvio_engine_Snapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>;
export declare const getDataTransformAdapterFactory: $64$luvio_engine_AdapterFactory<GetDataTransformConfig, types_DataTransformRepresentation_DataTransformRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_CdpAssetBaseRepresentation_KeyParams, any>[]) => void;
