import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { DataTransformRepresentation as types_DataTransformRepresentation_DataTransformRepresentation } from '../types/DataTransformRepresentation';
export interface ResourceRequestConfig {
    queryParams: {
        filterGroup?: string;
    };
    body: {
        capabilities?: {
            [key: string]: boolean;
        };
        creationType: string;
        currencyIsoCode?: string;
        dataSpaceName?: string;
        definition: {
            [key: string]: unknown;
        };
        description?: string;
        label?: string;
        name?: string;
        primarySource?: string;
        tags?: {
            [key: string]: string;
        };
        type: string;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_DataTransformRepresentation_DataTransformRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_DataTransformRepresentation_DataTransformRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_DataTransformRepresentation_DataTransformRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
