import { CdpUserRepresentation as CdpUserRepresentation_CdpUserRepresentation } from './CdpUserRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare enum DiscriminatorValues {
    type = "type"
}
export declare const VERSION = "e45ed0cf1759f7e1fe67049f806edc26";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    name: string;
}
export type CdpAssetBaseRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialCdpAssetBaseRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): CdpAssetBaseRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: CdpAssetBaseRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: CdpAssetBaseRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: CdpAssetBaseRepresentation, existing: CdpAssetBaseRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CdpAssetBaseRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: CdpAssetBaseRepresentationNormalized, incoming: CdpAssetBaseRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CdpAssetBaseRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents a base Asset
 *
 * Keys:
 *    name (string): name
 */
export interface CdpAssetBaseRepresentationNormalized {
    /** Created by */
    createdBy?: CdpUserRepresentation_CdpUserRepresentation;
    /** Created date */
    createdDate?: string;
    /** The 18 character ID of the asset */
    id: string;
    /** Label of the asset */
    label?: string;
    /** Last modified by */
    lastModifiedBy?: CdpUserRepresentation_CdpUserRepresentation;
    /** Last modified date */
    lastModifiedDate?: string;
    /** Name of the asset */
    name: string;
    /** Namespace of the asset */
    namespace?: string;
    /** Url */
    url?: string;
}
/**
 * Represents a base Asset
 *
 * Keys:
 *    name (string): name
 */
export interface CdpAssetBaseRepresentation {
    createdBy?: CdpUserRepresentation_CdpUserRepresentation;
    createdDate?: string;
    id: string;
    label?: string;
    lastModifiedBy?: CdpUserRepresentation_CdpUserRepresentation;
    lastModifiedDate?: string;
    name: string;
    namespace?: string;
    url?: string;
}
