import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { DataObjectRepresentation as DataObjectRepresentation_DataObjectRepresentation } from './DataObjectRepresentation';
export declare const VERSION = "6ef7bcc16bd2f432497fc85ead97bca0";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataTransformDefinitionRepresentation, existing: DataTransformDefinitionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataTransformDefinitionRepresentationNormalized;
export interface DynamicIngestParams {
    outputDataObjects: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: DataTransformDefinitionRepresentation, existing: DataTransformDefinitionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => DataTransformDefinitionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    outputDataObjects?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DataTransformDefinitionRepresentationNormalized, incoming: DataTransformDefinitionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataTransformDefinitionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Representation of batch data transform Node
 *
 * Keys:
 *    (none)
 */
export interface DataTransformDefinitionRepresentationNormalized {
    /** Output Data Objects that are part of the data transform */
    outputDataObjects: Array<$64$luvio_engine_StoreLink>;
    /** Definition type */
    type: string;
    /** batch data transform version */
    version: string;
}
/**
 * Representation of batch data transform Node
 *
 * Keys:
 *    (none)
 */
export interface DataTransformDefinitionRepresentation {
    outputDataObjects: Array<DataObjectRepresentation_DataObjectRepresentation>;
    type: string;
    version: string;
}
