import { keyBuilder as CdpAssetBaseRepresentation_keyBuilder, CdpAssetBaseRepresentation as CdpAssetBaseRepresentation_CdpAssetBaseRepresentation } from './CdpAssetBaseRepresentation';
import { BaseActionRepresentation as BaseActionRepresentation_BaseActionRepresentation } from './BaseActionRepresentation';
import { CdpErrorRepresentation as CdpErrorRepresentation_CdpErrorRepresentation } from './CdpErrorRepresentation';
import { ScheduleRepresentation as ScheduleRepresentation_ScheduleRepresentation } from './ScheduleRepresentation';
import { Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { DataTransformDefinitionRepresentation as DataTransformDefinitionRepresentation_DataTransformDefinitionRepresentation } from './DataTransformDefinitionRepresentation';
export declare const VERSION = "924b289e2a40b63f6d1307278d60bd26";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: Parameters<typeof CdpAssetBaseRepresentation_keyBuilder>[1]): string;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: CdpAssetBaseRepresentation_CdpAssetBaseRepresentation): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: Parameters<typeof CdpAssetBaseRepresentation_keyBuilder>[1]): $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: CdpAssetBaseRepresentation_CdpAssetBaseRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: DataTransformRepresentation, existing: DataTransformRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataTransformRepresentationNormalized;
export interface DynamicIngestParams {
    definition: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: DataTransformRepresentation, existing: DataTransformRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => DataTransformRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    definition?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DataTransformRepresentationNormalized, incoming: DataTransformRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataTransformRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * A Data Prep batch data transform.
 *
 * Keys:
 *    name (string): name
 */
export interface DataTransformRepresentationNormalized extends CdpAssetBaseRepresentation_CdpAssetBaseRepresentation {
    /** Actions available for the Data Transform */
    actionUrls: BaseActionRepresentation_BaseActionRepresentation;
    /** Requested capabilities on a data transform */
    capabilities?: {
        [key: string]: boolean;
    };
    /** The creation type of the data transform */
    creationType: string;
    /** Data space for the Data Transform */
    dataSpaceName: string;
    /** Data Transform definition */
    definition: $64$luvio_engine_StoreLink;
    /** Description */
    description: string;
    /** Last run date */
    lastRunDate: string;
    /** Last run error code */
    lastRunErrorCode: CdpErrorRepresentation_CdpErrorRepresentation;
    /** The error message for the last run of the transform. Set if last run ended in failure/partial_failure */
    lastRunErrorMessage: string;
    /** The last run status */
    lastRunStatus: string;
    /** The schedule cron expression current dataflow. */
    schedule: ScheduleRepresentation_ScheduleRepresentation;
    /** The status of the Data Transform */
    status: string;
    /** Tags of a data transforms - consumer specific metadata/event info */
    tags: {
        [key: string]: string;
    };
    /** Type of Data Transform */
    type: string;
    /** Version */
    version: number;
}
/**
 * A Data Prep batch data transform.
 *
 * Keys:
 *    name (string): name
 */
export interface DataTransformRepresentation extends CdpAssetBaseRepresentation_CdpAssetBaseRepresentation {
    actionUrls: BaseActionRepresentation_BaseActionRepresentation;
    capabilities?: {
        [key: string]: boolean;
    };
    creationType: string;
    dataSpaceName: string;
    definition: DataTransformDefinitionRepresentation_DataTransformDefinitionRepresentation;
    description: string;
    lastRunDate: string;
    lastRunErrorCode: CdpErrorRepresentation_CdpErrorRepresentation;
    lastRunErrorMessage: string;
    lastRunStatus: string;
    schedule: ScheduleRepresentation_ScheduleRepresentation;
    status: string;
    tags: {
        [key: string]: string;
    };
    type: string;
    version: number;
    id: 'type';
}
